Workflows
Get Workflow
One Workflow, with its trigger and current membership
GET
/
workflows
/
{id}
curl "https://api.clustr-ai.com/api/public/workflows/7f1e2a33-..." \
-H "Authorization: Bearer YOUR_API_KEY"
{
"success": true,
"data": {
"workflow": {
"id": "7f1e2a33-...",
"name": "Hot accounts",
"is_active": true,
"viewId": "3e5f1a22-...",
"entity": "accounts",
"on": "enter",
"memberCount": 42,
"last_run_at": "2026-09-13T09:00:00Z"
}
}
}
{
"success": false,
"error": { "message": "workflow not found", "code": "NOT_FOUND" }
}
Path Parameters
string
required
The Workflow’s id.
curl "https://api.clustr-ai.com/api/public/workflows/7f1e2a33-..." \
-H "Authorization: Bearer YOUR_API_KEY"
{
"success": true,
"data": {
"workflow": {
"id": "7f1e2a33-...",
"name": "Hot accounts",
"is_active": true,
"viewId": "3e5f1a22-...",
"entity": "accounts",
"on": "enter",
"memberCount": 42,
"last_run_at": "2026-09-13T09:00:00Z"
}
}
}
{
"success": false,
"error": { "message": "workflow not found", "code": "NOT_FOUND" }
}
⌘I
curl "https://api.clustr-ai.com/api/public/workflows/7f1e2a33-..." \
-H "Authorization: Bearer YOUR_API_KEY"
{
"success": true,
"data": {
"workflow": {
"id": "7f1e2a33-...",
"name": "Hot accounts",
"is_active": true,
"viewId": "3e5f1a22-...",
"entity": "accounts",
"on": "enter",
"memberCount": 42,
"last_run_at": "2026-09-13T09:00:00Z"
}
}
}
{
"success": false,
"error": { "message": "workflow not found", "code": "NOT_FOUND" }
}